summaryrefslogtreecommitdiffstats
path: root/debian/configure-helpers/net-snmp-config
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xdebian/configure-helpers/net-snmp-config21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/configure-helpers/net-snmp-config b/debian/configure-helpers/net-snmp-config
new file mode 100755
index 0000000..6d8d6e7
--- /dev/null
+++ b/debian/configure-helpers/net-snmp-config
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+if [ "$1" = "--cflags" ]; then
+ FLAGS=$(/usr/bin/net-snmp-config --cflags)
+ MYFLAGS=""
+ for flag in $FLAGS; do
+ if [[ "$flag" =~ -DNETSNMP* ]]; then
+ MYFLAGS="$MYFLAGS $flag"
+ fi
+ done
+ echo "$MYFLAGS"
+ exit 0
+
+elif [ "$1" = "--netsnmp-agent-libs" ]; then
+ /usr/bin/net-snmp-config "$@"
+ exit $?
+
+else
+ echo "E: debian/configure-helpers/net-snmp-config: unknown flag $1" >&2
+ exit 1
+fi